Index: lang_cfg.h
===================================================================
--- lang_cfg.h	(revision 681)
+++ lang_cfg.h	(arbetskopia)
@@ -1,5 +1,6 @@
 #define LANG_NL
-#define LANG_SE
+#define LANG_SV
+//#define LANG_SE
 #define LANG_CZ
 #define LANG_FR
 #define LANG_ID
Index: docparser.cpp
===================================================================
--- docparser.cpp	(revision 681)
+++ docparser.cpp	(arbetskopia)
@@ -4461,7 +4461,7 @@
   int retval = doctokenizerYYlex();
   // search for the first non-whitespace line, index is stored in li
   int i=0,li=0,l=g_token->verb.length();
-  while (i<l && g_token->verb.at(i)==' ' || g_token->verb.at(i)=='\n')
+  while ((i<l && g_token->verb.at(i)==' ') || g_token->verb.at(i)=='\n')
   {
     if (g_token->verb.at(i)=='\n') li=i+1;
     i++;
Index: translator_adapter.h
===================================================================
--- translator_adapter.h	(revision 681)
+++ translator_adapter.h	(arbetskopia)
@@ -41,10 +41,17 @@
 
 };
 
-class TranslatorAdapter_1_5_4 : public TranslatorAdapterBase
+class TranslatorAdapter_1_5_7 : public TranslatorAdapterBase
 {
   public:
     virtual QCString updateNeededMessage()
+    { return QCString(""); }
+};
+
+class TranslatorAdapter_1_5_4 : public TranslatorAdapter_1_5_7
+{
+  public:
+    virtual QCString updateNeededMessage()
     { return createUpdateNeededMessage(idLanguage(),"release 1.5.4"); }
 
     virtual QCString trMemberFunctionDocumentationFortran()
